com.corticon.eclipse.core.util

## Class TableTreeModel

- java.lang.Object
- - com.corticon.eclipse.core.util.MatrixModel
  - - com.corticon.eclipse.core.util.TableTreeModel

-     public class TableTreeModel
      extends MatrixModel

  This class defines a simple non-EMF model intended for use with the SWT TableTreeViewer, or comparable control. The class extends the MatrixModel to add an additional row-level variable to hold a reference to the tree node that the row represents.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected class` | `TableTreeModel.TableTreeModelRow`

    - ### Nested classes/interfaces inherited from class com.corticon.eclipse.core.util.MatrixModel

      `MatrixModel.MatrixModelRow`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.HashMap` | `ihmTreeNodeToRow` Hash map associating tree node with row index in table.

    - ### Fields inherited from class com.corticon.eclipse.core.util.MatrixModel

      `iListMatrixModelRows`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TableTreeModel()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `protected int` | `findRowIndex(java.lang.Object aObject)`
    `java.lang.String` | `getContentAt(java.lang.Object aObject, int aiColumnIndex)`
    `boolean` | `isCellValid(java.lang.Object aObject, int aiColumnIndex)`
    `protected MatrixModel.MatrixModelRow` | `makeMatrixModelRow()`
    `void` | `setCellValid(java.lang.Object aObject, int aiColumnIndex, boolean abValid)`
    `void` | `setContentAt(java.lang.Object aObject, int aiColumnIndex, java.lang.String astrValue)`

    - ### Methods inherited from class com.corticon.eclipse.core.util.MatrixModel

      `getContentAt, getMatrixModelRow, getRowCount, isCellValid, makeMatrixCell, setCellValid, setContentAt`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ihmTreeNodeToRow

          protected java.util.HashMap ihmTreeNodeToRow

      Hash map associating tree node with row index in table.

  - ### Constructor Detail

    - #### TableTreeModel

          public TableTreeModel()

  - ### Method Detail

    - #### clear

          public void clear()

      Overrides:
        `clear` in class `MatrixModel`

    - #### findRowIndex

          protected int findRowIndex(java.lang.Object aObject)

    - #### isCellValid

          public boolean isCellValid(java.lang.Object aObject,
                            int aiColumnIndex)

    - #### getContentAt

          public java.lang.String getContentAt(java.lang.Object aObject,
                                      int aiColumnIndex)

    - #### setCellValid

          public void setCellValid(java.lang.Object aObject,
                          int aiColumnIndex,
                          boolean abValid)

    - #### setContentAt

          public void setContentAt(java.lang.Object aObject,
                          int aiColumnIndex,
                          java.lang.String astrValue)

    - #### makeMatrixModelRow

          protected MatrixModel.MatrixModelRow makeMatrixModelRow()

      Overrides:
        `makeMatrixModelRow` in class `MatrixModel`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.